Package org.eclipse.e4.ui.css.core.impl.dom

# Class Measure

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode
org.eclipse.e4.ui.css.core.impl.dom.CSSValueImpl
org.eclipse.e4.ui.css.core.impl.dom.Measure

All Implemented Interfaces:
  `CSSPrimitiveValue`, `CSSValue`

public class Measure extends CSSValueImpl

## Field Summary

### Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue

`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

### Fields inherited from interface org.w3c.dom.css.CSSValue

`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

## Constructor Summary

Constructors
Constructor
Description
`Measure(org.w3c.css.sac.LexicalUnit value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCssText()`
`float`
`getFloatValue(short valueType)`
Return a float representation of the receiver's value.
`int`
`getIntegerValue(short valueType)`
Return an int representation of the receiver's value.
`short`
`getPrimitiveType()`
`String`
`getStringValue()`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.dom.CSSValueImpl

`getCounterValue, getCssValueType, getRectValue, getRGBColorValue, setCssText, setFloatValue, setStringValue`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode

`getCSSParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Measure

public Measure(org.w3c.css.sac.LexicalUnit value)

## Method Details

### getFloatValue

public float getFloatValue(short valueType) throws DOMException
Return a float representation of the receiver's value.

Specified by:
  `getFloatValue` in interface `CSSPrimitiveValue`
Overrides:
  `getFloatValue` in class `CSSValueImpl`
Parameters:
  `valueType` - a short representing the value type, see `CSSValue.getCssValueType()`
Throws:
  `DOMException`

### getIntegerValue

public int getIntegerValue(short valueType) throws DOMException
Return an int representation of the receiver's value.

Parameters:
  `valueType` - a short representing the value type, see `CSSValue.getCssValueType()`
Throws:
  `DOMException`

### getStringValue

public String getStringValue() throws DOMException

Specified by:
  `getStringValue` in interface `CSSPrimitiveValue`
Overrides:
  `getStringValue` in class `CSSValueImpl`
Throws:
  `DOMException`

### getPrimitiveType

public short getPrimitiveType()

Specified by:
  `getPrimitiveType` in interface `CSSPrimitiveValue`
Overrides:
  `getPrimitiveType` in class `CSSValueImpl`

### getCssText

public String getCssText()

Specified by:
  `getCssText` in interface `CSSValue`
Overrides:
  `getCssText` in class `CSSValueImpl`